body {
    margin: 0;
    font-family: Arial, sans-serif;
}

.container {
    display: flex;
}

.sidebar {
    width: 250px;
    padding: 20px;
    background-color: #f4f4f4;
}

.main-content {
    flex-grow: 1;
    padding: 20px;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    gap: 15px;
}

.grid img {
    width: 100%;
    height: auto;
}

#collection-details {
    margin-bottom: 20px;
}

#collection-details p {
    margin: 5px 0;
}

.top-bar {
    margin-bottom: 20px;
    display: flex;
    gap: 15px;
    align-items: center;
}

.top-bar label {
    font-size: 14px;
}


.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
}

.modal-content {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.main-image {
    max-height: 80%;
    max-width: 70%;
    object-fit: contain;
}

.nav-image {
    max-width: 10rem; /* Adjust to 25% of modal height */
    max-height: auto;
    object-fit: contain; /* Maintain aspect ratio */
    cursor: pointer;
    opacity: 0.7;
}

.nav-image:hover {
    opacity: 1;
}

.modal-prev, .modal-next {
    width: 10%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.close {
    position: absolute;
    top: 10px;
    right: 20px;
    color: white;
    font-size: 35px;
    font-weight: bold;
    cursor: pointer;
}
